Download it now!
Bug 74128 - add support for packJPG image format
Summary: add support for packJPG image format
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Images
  Show dependency treegraph
 
Reported: 2014-01-27 22:16 UTC by squeezechart
Modified: 2018-01-02 10:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description squeezechart 2014-01-27 22:16:22 UTC
please add support for packJPG image format

packJPG losslessly compresses JPEG and achieves 20 - 40% filesize reduction.
Original JPEG can be unpacked and the output is bitwise identical to original.
Image viewers like XnView can display packJPG compressed files directly
so  manual decoding step is not needed.

packJPG is free, open and might help reducing LibreOffice documents
with many JPEG inside.

The project website is here: http://www.elektronik.htw-aalen.de/packjpg/
You can find the latest version and sources here: http://www.matthiasstirner.com/
Comment 1 tommy27 2014-01-28 01:18:07 UTC
valuable enhancement request. set status to NEW.
Comment 2 Tomaz Vajngerl 2014-02-13 21:24:01 UTC
Thanks, I didn't know about packJPG. 

However, I don't think we can use it because if we "pack" a jpeg file in the document then other programs (OpenOffice, Calligra, MS Office for example) that don't support packJPG (and probably never will) won't be able to show it.
Comment 3 squeezechart 2014-02-15 23:23:24 UTC
Would it make a change if packJPG would be included in a future ODF specification?
Comment 4 Tomaz Vajngerl 2014-02-16 09:21:26 UTC
Yes, it would, but the ODF specification does not mandate which graphic formats must be supported (it only says PNG for raster and SVG for vector should be supported) so JPEG is not even mentioned in the specification.
Comment 5 squeezechart 2017-12-18 10:56:50 UTC
Also, Lepton could be supported as image format.
It contains losslessly compressed JPEG (like packJPG).
The project can be found here:

https://github.com/dropbox/lepton
Comment 6 Buovjaga 2018-01-02 10:16:29 UTC
Since 2014, the position on this became clearer as evidenced by Tomaž's essay in bug 114533. Closing as WONTFIX.